Agda-2.3.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None

Agda.TypeChecking.Rules.LHS.Instantiate

Synopsis

- instantiateTel :: Substitution -> Telescope -> TCM (Telescope, Permutation, Substitution, [Dom Type])
- nothingToSplitError :: Problem -> TCM a

# Documentation

instantiateTel :: Substitution -> Telescope -> TCM (Telescope, Permutation, Substitution, [Dom Type])

Instantiate a telescope with a substitution. Might reorder the telescope. `instantiateTel (Γ : Tel)(σ : Γ --> Γ) =` Monadic only for debugging purposes.

nothingToSplitError :: Problem -> TCM a

Produce a nice error message when splitting failed